import { JsonRpcProvider, JsonRpcSigner } from '@ethersproject/providers';
export declare const setMiningMode: (active: boolean, provider: JsonRpcProvider) => Promise<void>;
export declare const mineBlock: (provider: JsonRpcProvider) => Promise<void>;
export declare function setBalance(address: string, amount: string, provider: JsonRpcProvider): Promise<void>;
export declare class Impersonator {
    address: string;
    constructor(address: string);
    impersonate(provider: JsonRpcProvider): Promise<JsonRpcSigner>;
    stopImpersonate(provider: JsonRpcProvider): Promise<void>;
}
